Bug 196714 - Loads using loadHTMLString() cause flashing when process-swapping
Summary: Loads using loadHTMLString() cause flashing when process-swapping
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-04-08 15:59 PDT by Chris Dumez
Modified: 2019-04-10 14:36 PDT (History)
6 users (show)

See Also:


Attachments
Patch (12.43 KB, patch)
2019-04-08 16:30 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2019-04-08 15:59:18 PDT
Loads using loadHTMLString() cause flashing when process-swapping. We should fix this.
Comment 1 Chris Dumez 2019-04-08 15:59:34 PDT
<rdar://problem/49637354>
Comment 2 Chris Dumez 2019-04-08 16:30:19 PDT
Created attachment 366997 [details]
Patch
Comment 3 WebKit Commit Bot 2019-04-09 07:20:18 PDT
Comment on attachment 366997 [details]
Patch

Clearing flags on attachment: 366997

Committed r244075: <https://trac.webkit.org/changeset/244075>
Comment 4 WebKit Commit Bot 2019-04-09 07:20:19 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Chris Dumez 2019-04-10 10:13:34 PDT
Follow-up to drop unused data member:
<https://trac.webkit.org/changeset/244132>